## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseSchema

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Schema, SQLObject

All Known Implementing Classes:
  SybaseASABaseSchemaImpl, SybaseASACatalogBaseSchema, SybaseASACatalogSchema

    public interface SybaseASABaseSchema

extends Schema

A representation of the model object 'Sybase ASA Base Schema'.

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseSchema()`

Method Summary
`java.util.List` `getNormalTables()`
`java.util.List` `getProxyTables()`
`org.eclipse.emf.common.util.EList` `getSuperIndices()`
`org.eclipse.emf.common.util.EList` `getSuperTriggers()`
`java.util.List` `getSystemAndNormalTables()`
`java.util.List` `getSystemTables()`
`java.util.List` `getTempTables()`
`java.util.List` `getViewTables(boolean systemFlag)`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Schema
`getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getDatabase, getIndices, getOwner, getProcedures, getRoutines, getSequences, getTables, getTriggers, getUDFs, getUserDefinedTypes, setCatalog, setDatabase, setOwner`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNormalTables

    java.util.List getNormalTables()

### getTempTables

    java.util.List getTempTables()

### getSystemTables

    java.util.List getSystemTables()

### getProxyTables

    java.util.List getProxyTables()

### getViewTables

    java.util.List getViewTables(boolean systemFlag)

### getSystemAndNormalTables

    java.util.List getSystemAndNormalTables()

### getSuperTriggers

    org.eclipse.emf.common.util.EList getSuperTriggers()

### getSuperIndices

    org.eclipse.emf.common.util.EList getSuperIndices()